libzypp: zypp::CommitPackagePreloader Class Reference

libzypp 17.38.14

zypp::CommitPackagePreloader Class Reference

`#include <zypp/target/private/commitpackagepreloader_p.h>`

## Classes
struct | RepoUrl
struct | RepoDownloadData
class | PreloadWorker

## Public Member Functions
| CommitPackagePreloader ()
void | preloadTransaction (const std::vector< sat::Transaction::Step > &steps)
void | cleanupCaches ()
bool | missed () const

## Private Types
using | clock = std::chrono::steady_clock

## Private Member Functions
void | reportBytesDownloaded (ByteCount newBytes)

## Private Attributes
std::map< Repository::IdType, RepoDownloadData > | _dlRepoInfo
std::deque< PoolItem > | _requiredDls
std::vector< zyppng::Ref< PreloadWorker > > | _workers
ByteCount | _requiredBytes
ByteCount | _downloadedBytes
bool | _missedDownloads = false
callback::SendReport< media::CommitPreloadReport > | _report
zyppng::Ref< internal::ProgressTracker > | _pTracker
std::optional< clock::time_point > | _lastProgressUpdate
zyppng::NetworkRequestDispatcherRef | _dispatcher

## Detailed Description

Definition at line 31 of file commitpackagepreloader_p.h.

## Member Typedef Documentation

## ◆ clock

using zypp::CommitPackagePreloader::clock = std::chrono::steady_clock
| private

Definition at line 33 of file commitpackagepreloader_p.h.

## Constructor & Destructor Documentation

## ◆ CommitPackagePreloader()

zypp::CommitPackagePreloader::CommitPackagePreloader | ( |  | ) |

Definition at line 439 of file commitpackagepreloader.cc.

## Member Function Documentation

## ◆ preloadTransaction()

void zypp::CommitPackagePreloader::preloadTransaction | ( | const std::vector< sat::Transaction::Step > & | steps | ) |

Definition at line 442 of file commitpackagepreloader.cc.

## ◆ cleanupCaches()

void zypp::CommitPackagePreloader::cleanupCaches | ( |  | ) |

Definition at line 610 of file commitpackagepreloader.cc.

## ◆ missed()

bool zypp::CommitPackagePreloader::missed | ( |  | ) | const

Definition at line 621 of file commitpackagepreloader.cc.

## ◆ reportBytesDownloaded()

void zypp::CommitPackagePreloader::reportBytesDownloaded | ( | ByteCount | newBytes | ) |
| private

Definition at line 626 of file commitpackagepreloader.cc.

## Member Data Documentation

## ◆ _dlRepoInfo

std::map<Repository::IdType, RepoDownloadData> zypp::CommitPackagePreloader::_dlRepoInfo
| private

Definition at line 56 of file commitpackagepreloader_p.h.

## ◆ _requiredDls

std::deque<PoolItem> zypp::CommitPackagePreloader::_requiredDls
| private

Definition at line 57 of file commitpackagepreloader_p.h.

## ◆ _workers

std::vector<zyppng::Ref<PreloadWorker> > zypp::CommitPackagePreloader::_workers
| private

Definition at line 58 of file commitpackagepreloader_p.h.

## ◆ _requiredBytes

ByteCount zypp::CommitPackagePreloader::_requiredBytes
| private

Definition at line 59 of file commitpackagepreloader_p.h.

## ◆ _downloadedBytes

ByteCount zypp::CommitPackagePreloader::_downloadedBytes
| private

Definition at line 60 of file commitpackagepreloader_p.h.

## ◆ _missedDownloads

bool zypp::CommitPackagePreloader::_missedDownloads = false
| private

Definition at line 61 of file commitpackagepreloader_p.h.

## ◆ _report

callback::SendReport<media::CommitPreloadReport> zypp::CommitPackagePreloader::_report
| private

Definition at line 63 of file commitpackagepreloader_p.h.

## ◆ _pTracker

zyppng::Ref<internal::ProgressTracker> zypp::CommitPackagePreloader::_pTracker
| private

Definition at line 64 of file commitpackagepreloader_p.h.

## ◆ _lastProgressUpdate

std::optional<clock::time_point> zypp::CommitPackagePreloader::_lastProgressUpdate
| private

Definition at line 65 of file commitpackagepreloader_p.h.

## ◆ _dispatcher

zyppng::NetworkRequestDispatcherRef zypp::CommitPackagePreloader::_dispatcher
| private

Definition at line 67 of file commitpackagepreloader_p.h.

The documentation for this class was generated from the following files:

- zypp/target/private/commitpackagepreloader_p.h
- zypp/target/commitpackagepreloader.cc